lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'skrill/payment/version'

Gem::Specification.new do |gem|
  gem.name          = 'skrill-payment'
  gem.version       = Skrill::Payment::VERSION
  gem.authors       = ['Martin Jagusch', 'Shervin Aflatooni']
  gem.email         = ['_@mj.io', 'shervinaflatooni@gmail.com']
  gem.description   = 'Making payments via Skrill (formerly Moneybookers)'
  gem.summary       = "skrill-payment-#{Skrill::Payment::VERSION}"
  gem.homepage      = 'https://github.com/envato/skrill-payment'
  gem.license       = 'MIT'

  gem.files         = `git ls-files -z`.split("\x0")
  gem.test_files    = gem.files.grep(%r{^spec/})
  gem.require_paths = ['lib']

  gem.add_dependency 'activesupport', '>= 2.3'
  gem.add_dependency 'faraday', '~> 0.9'

  gem.add_development_dependency 'rake', '~> 10.0'
  gem.add_development_dependency 'rspec', '~> 3.0.0.beta2'
  gem.add_development_dependency 'webmock', '~> 1.17'
end
